
QGIS Application - Bug report #10835

Can't toggle layer visibility in canvas when selecting multiple layers.

2014-07-07 10:34 AM - Donovan Cameron

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19209

Description

In 2.2 I was able to select multiple layers in the table of contents using shift or ctrl, then click on a single checkbox to turn off or on the

visibility of those layers.

Looks like this isn't working for 2.4 anymore and makes it a pain to turn off or on 1 layer at a time.

Not sure if this is a bug or should be a feature request.

Associated revisions

Revision c90d810c - 2014-10-15 06:49 PM - Jürgen Fischer

allow setting visiblity of selected layers (fixes #10835)

History

#1 - 2014-07-07 10:37 AM - Giovanni Manghi

- Category changed from Map Canvas to Map Legend

- Priority changed from Normal to Severe/Regression

I would say it is a regression.

#2 - 2014-09-14 02:47 AM - Nathan Woodrow

- Assignee set to Martin Dobias

Martin any ideas on this one?

#3 - 2014-09-14 03:41 AM - Martin Dobias

I would suggest adding functionality to check/uncheck multiple layers to the newly added visibility button within layers toolbar. It already contains buttons to

show/hide all layers, so it could have two more items to show/hide selected layers.

I don't really like the previously used behaviour as it was non-standard.

#4 - 2014-10-03 05:08 AM - Giovanni Manghi
- Affected QGIS version changed from 2.4.0 to master

Martin Dobias wrote:

I would suggest adding functionality to check/uncheck multiple layers to the newly added visibility button within layers toolbar. It already contains

buttons to show/hide all layers, so it could have two more items to show/hide selected layers.

seems reasonable to me.

#5 - 2014-10-15 08:49 AM - Jürgen Fischer

- Assignee changed from Martin Dobias to Jürgen Fischer

#6 - 2014-10-15 09:50 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c90d810ce3efe4f5cb738a426f910ef2cb5bf5e1".
